libzypp 17.37.10

zypp::bit::MaxBits< TInt > Struct Template Reference

Number of bits available in TInt. More...

`#include <zypp/Bit.h>`

## Public Types
using | IntT = TInt

## Static Public Attributes
static const unsigned | value = (sizeof(IntT)*8)

## Detailed Description

template<class TInt>
struct zypp::bit::MaxBits< TInt >

Number of bits available in TInt.

Definition at line 49 of file Bit.h.

## Member Typedef Documentation

## ◆ IntT

template<class TInt>

using zypp::bit::MaxBits< TInt >::IntT = TInt

Definition at line 51 of file Bit.h.

## Member Data Documentation

## ◆ value

template<class TInt>

const unsigned zypp::bit::MaxBits< TInt >::value = (sizeof(IntT)*8)
| static

Definition at line 52 of file Bit.h.

The documentation for this struct was generated from the following file:

- zypp/Bit.h